## knewstuff 5.92.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KNewStuff VERSION ${KF_VERSION})

set(CMAKE_CXX_EXTENSIONS OFF)

include(FeatureSummary)
find_package(ECM 5.92.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMQtDeclareLoggingCategory)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui Widgets Xml)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE COMPONENTS Qml Quick)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()
find_package(KF5Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Package ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(KF5Attica ${KF_DEP_VERSION} CONFIG REQUIRED)
set_package_properties(KF5Attica PROPERTIES DESCRIPTION "A Qt library that implements the Open Collaboration Services API"
                       PURPOSE "Support for Get Hot New Stuff in KNewStuff"
                       URL "https://commits.kde.org/attica"
                       TYPE REQUIRED
                      )
find_package(KF5Kirigami2 2.12.0)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by KNewStuffQuick's qml components"
    TYPE RUNTIME)

find_package(KF5Syndication ${KF5_DEP_VERSION})
set_package_properties(KF5Syndication PROPERTIES
    DESCRIPTION "KDE's RSS/Atom parser library"
    PURPOSE "Used by the OPDS provider to handle most of the parsing."
    TYPE OPTIONAL
)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFF
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfigVersion.cmake"
                        SOVERSION 5)
ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFFCORE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knewstuffcore_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffCoreConfigVersion.cmake"
                        SOVERSION 5)
ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFFQUICK
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knewstuffquick_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffQuickConfigVersion.cmake"
                        SOVERSION 5)

add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff5\")
ecm_set_disabled_deprecation_versions(
    QT ${REQUIRED_QT_VERSION}
    KF 5.90
)

ki18n_install(po)
add_subdirectory(data)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NewStuff")
set(CMAKECONFIGCORE_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NewStuffCore")
set(CMAKECONFIGQUICK_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5NewStuffQuick")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5NewStuff_QCH
        FILE KF5NewStuffQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5NewStuffQchTargets.cmake\")")
    ecm_install_qch_export(
        TARGETS KF5NewStuffCore_QCH
        FILE KF5NewStuffCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIGCORE_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_CORE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5NewStuffCoreQchTargets.cmake\")")
    # TODO: KF5NewStuffQuick
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NewStuffConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NewStuffCoreConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffCoreConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIGCORE_INSTALL_DIR}
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NewStuffQuickConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffQuickConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIGQUICK_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffCoreConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffCoreConfigVersion.cmake"
  DESTINATION "${CMAKECONFIGCORE_INSTALL_DIR}"
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffQuickConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NewStuffQuickConfigVersion.cmake"
  DESTINATION "${CMAKECONFIGQUICK_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5NewStuffTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5NewStuffTargets.cmake NAMESPACE KF5:: )
install(EXPORT KF5NewStuffCoreTargets DESTINATION "${CMAKECONFIGCORE_INSTALL_DIR}" FILE KF5NewStuffCoreTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h
  ${CMAKE_CURRENT_BINARY_DIR}/knewstuffcore_version.h
  ${CMAKE_CURRENT_BINARY_DIR}/knewstuffquick_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(core)

set(KNewStuff_SRCS
    entry.cpp
    button.cpp
    knewstuffaction.cpp
    kmoretools/kmoretools.cpp
    kmoretools/kmoretoolsconfigdialog_p.cpp
    kmoretools/kmoretoolsmenufactory.cpp
    kmoretools/kmoretoolspresets.cpp
    ui/widgetquestionlistener.cpp
    uploaddialog.cpp
    qtquickdialogwrapper.cpp
)
# Exclude deprecated classes from the build
if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
        EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.80.0)
list(APPEND KNewStuff_SRCS
        downloaddialog.cpp
        downloadwidget.cpp
        downloadmanager.cpp
        ui/entrydetailsdialog.cpp
        ui/imagepreviewwidget.cpp
        ui/itemsview.cpp
        ui/itemsviewdelegate.cpp
        ui/itemsgridviewdelegate.cpp
        ui/itemsviewbasedelegate.cpp
        ui/progressindicator.cpp
        )
endif()

qt_add_resources(KNewStuff_RESOURCES uploaddialog.qrc)

ecm_qt_declare_logging_category(KNewStuff_SRCS
    HEADER knewstuff_debug.h
    IDENTIFIER KNEWSTUFF
    CATEGORY_NAME kf.newstuff
    OLD_CATEGORY_NAMES org.kde.knewstuff
    DESCRIPTION "knewstuff (knewstuff)"
    EXPORT KNEWSTUFF
)

ki18n_wrap_ui(KNewStuff_SRCS
    downloadwidget.ui
    kmoretools/ui/kmoretoolsconfigwidget.ui
)

add_library(KF5NewStuff ${KNewStuff_SRCS} ${KNewStuff_RESOURCES})
add_library(KF5::NewStuff ALIAS KF5NewStuff)

ecm_generate_export_header(KF5NewStuff
    EXPORT_FILE_NAME knewstuff_export.h
    BASE_NAME KNewStuff
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    DEPRECATION_VERSIONS 5.29 5.76 5.77 5.78 5.79 5.80 5.82 5.85 5.91
)

target_include_directories(KF5NewStuff
    PUBLIC "$<BUILD_INTERFACE:${KNewStuff_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}>"
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3;${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/KNS3;${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/knscore>")

target_link_libraries(KF5NewStuff
  PUBLIC
    KF5::NewStuffCore
    KF5::XmlGui                # For KActionCollection in knewstuffaction.h
    KF5::Service               # For KMoreTools
    Qt${QT_MAJOR_VERSION}::Widgets
  PRIVATE
    KF5::KIOCore               # For network fetching operations
    KF5::KIOWidgets            # For KUrlRequester
    KF5::Completion            # For KLineEdit in download dialog
    KF5::I18n                  # For translations
    KF5::ItemViews             # For buttons on download dialog
    KF5::IconThemes           # For KIcon
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::Quick
    KF5::TextWidgets          # For KTextEdit in upload dialog
)

set_target_properties(KF5NewStuff PROPERTIES
   VERSION ${KNEWSTUFF_VERSION}
   SOVERSION ${KNEWSTUFF_SOVERSION}
   EXPORT_NAME NewStuff
)

set(KNewStuff_HEADERS
  knewstuffaction.h
)

ecm_generate_headers(KNewStuff_CamelCase_HEADERS
  HEADER_NAMES
  DownloadDialog
  DownloadWidget
  DownloadManager
  UploadDialog
  Entry
  Button
  QtQuickDialogWrapper

  REQUIRED_HEADERS KNewStuff_HEADERS
  PREFIX KNS3
)

# For KMoreTools:
ecm_generate_headers(KNewStuff_CamelCase_HEADERS_KMoreTools
  HEADER_NAMES
  KMoreTools
  KMoreToolsMenuFactory
  KMoreToolsPresets

  RELATIVE kmoretools
  REQUIRED_HEADERS KNewStuff_HEADERS_KMoreTools
  PREFIX KNS3
)
install(FILES ${KNewStuff_CamelCase_HEADERS_KMoreTools} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/KNS3 COMPONENT Devel)
install(FILES ${KNewStuff_HEADERS_KMoreTools} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/kns3 COMPONENT Devel
)

install(FILES ${KNewStuff_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/KNS3 COMPONENT Devel)

install(TARGETS KF5NewStuff EXPORT KF5NewStuffTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_export.h
  ${KNewStuff_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/kns3 COMPONENT Devel
)

add_subdirectory(widgets)

if(BUILD_QCH)
    ecm_add_qch(
        KF5NewStuff_QCH
        NAME KNewStuff
        BASE_NAME KF5NewStuff
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KNewStuff_HEADERS}
            ${KNewStuff_HEADERS_KMoreTools}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            KF5NewStuffCore_QCH
            KF5XmlGui_QCH
            KF5Service_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
            ${KNewStuff_BINARY_DIR}
        BLANK_MACROS
            KNEWSTUFF_EXPORT
            KNEWSTUFF_DEPRECATED
            KNEWSTUFF_DEPRECATED_EXPORT
            "KNEWSTUFF_DEPRECATED_VERSION(x, y, t)"
            "KNEWSTUFF_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KNewStuff LIB_NAME KF5NewStuff DEPS "widgets KXmlGui KNewStuffCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

add_subdirectory(qtquick)
add_subdirectory(tools)

ecm_qt_install_logging_categories(
    EXPORT KNEWSTUFF
    FILE knewstuff.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KF5NewStuffWidgets)
add_library(KF5::NewStuffWidgets ALIAS KF5NewStuffWidgets)

ecm_generate_export_header(KF5NewStuffWidgets
    EXPORT_FILE_NAME knewstuffwidgets_export.h
    BASE_NAME KNewStuffWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.91
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_sources(KF5NewStuffWidgets PRIVATE
    action.cpp button.cpp
    ../ui/widgetquestionlistener.cpp)

target_link_libraries(KF5NewStuffWidgets PUBLIC KF5::NewStuff)
target_link_libraries(KF5NewStuffWidgets
  PUBLIC
    KF5::NewStuffCore
    KF5::NewStuff
  PRIVATE
    KF5::I18n
)
target_include_directories(KF5NewStuffWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/KNSWidgets>")
target_include_directories(KF5NewStuffWidgets
    PUBLIC "$<BUILD_INTERFACE:${KNewStuff_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}>"
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3;${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/KNSWidgets;${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/knscore>")

set_target_properties(KF5NewStuffWidgets PROPERTIES
   VERSION ${KNEWSTUFF_VERSION}
   SOVERSION ${KNEWSTUFF_SOVERSION}
   EXPORT_NAME NewStuffWidgets
)

set(KNewStuffWidgets_HEADERS
  action.h
  button.h
)
ecm_generate_headers(KNewStuffWidgets_CamelCase_HEADERS
  HEADER_NAMES
  Action
  Button

  REQUIRED_HEADERS KNewStuffWidgets_HEADERS
  PREFIX KNSWidgets
)

install(FILES ${KNewStuffWidgets_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/KNSWidgets COMPONENT Devel)
install(FILES ${KNewStuffWidgets_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/knswidgets COMPONENT Devel)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/knewstuffwidgets_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff3/knswidgets COMPONENT Devel
)
install(TARGETS KF5NewStuffWidgets EXPORT KF5NewStuffTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
knewstuff (5.92.0-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.92.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:01 +0000

knewstuff (5.91.0a-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 18:59:09 +0000

knewstuff (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * New library package: libkf5newstuffwidgets5
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:11 +0000

knewstuff (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:03 +0000

knewstuff (5.88.0-1ubuntu3) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:11:50 +0000

knewstuff (5.88.0-1ubuntu2) jammy; urgency=medium

  * Restore build depend on libkf5syndication-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 10:35:04 +0000

knewstuff (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not apply Debian patch for flaky test. We do not run this at
      build time or in autopkgtests.
    - Keep our symbols file.
    - Add lintian overrides for lintian complaining that *.desktop files
      are not elfs or scripts.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 10:25:15 +0000

knewstuff (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * Drop upstream patches.
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

knewstuff (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:19:40 +0000

knewstuff (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)
  * Remove upstream-f687c5ab-include-useragent-on-kns-request.patch
  * Remove upstream_fix_crash_in_downloadwidget.patch
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:06:38 +0000

knewstuff (5.86.0-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix: include useragent on kns request.

 -- Norbert Preining <norbert@preining.info>  Fri, 01 Oct 2021 23:40:58 +0900

knewstuff (5.86.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for crashes in DownloadWidget.

 -- Norbert Preining <norbert@preining.info>  Tue, 28 Sep 2021 04:45:50 +0900

knewstuff (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:58:14 +0900

knewstuff (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

knewstuff (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * Disable built time tests.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 09:57:48 +0900

knewstuff (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:07 +0900

knewstuff (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

knewstuff (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:16:19 +0900

knewstuff (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.
  * Disable flaky test.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 19:06:41 +0900

knewstuff (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

knewstuff (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Update symbols.
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libkf5archive-dev (>= 5.92.0~),
               libkf5attica-dev (>= 5.92.0~),
               libkf5completion-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5iconthemes-dev (>= 5.92.0~),
               libkf5itemviews-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5package-dev (>= 5.92.0~),
               libkf5service-dev (>= 5.92.0~),
               libkf5syndication-dev (>= 1:5.92.0~),
               libkf5textwidgets-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libkf5xmlgui-dev (>= 5.92.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/knewstuff
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
Rules-Requires-Root: no

Package: knewstuff-dialog
Architecture: any
Depends: libkf5newstuff-data (= ${source:Version}),
         qml-module-org-kde-newstuff (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains standalone tool for use by apps which don't
 want a hard dependency.

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.92.0~),
         libkf5attica-dev (>= 5.92.0~),
         libkf5kio-dev (>= 5.92.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5newstuffcore5 (= ${binary:Version}),
         libkf5newstuffwidgets5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.92.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5newstuff-doc (= ${source:Version})
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5newstuff-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for downloading application assets from the network (documentation)
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuffcore5
Architecture: any
Multi-Arch: same
Recommends: qml-module-org-kde-newstuff (= ${binary:Version})
Depends: kio (>= 5.54), ${misc:Depends}, ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.
Breaks: frameworkintegration (<< 5.54)

Package: libkf5newstuffwidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.

Package: qml-module-org-kde-newstuff
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.54),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files

## knewstuff 5.98.0

=== debian/changelog ===
knewstuff (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:32:54 +0100

knewstuff (5.97.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Aug 2022 15:22:27 +0100

knewstuff (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:13 +0100

knewstuff (5.96.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols, marking them as optional=gccinternal

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:38:46 +0100

knewstuff (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update install files.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:30:59 +0100

knewstuff (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:56:41 +0100

knewstuff (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Update symbols.
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:27 +0100

knewstuff (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:23:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,23 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
-               libkf5archive-dev (>= 5.92.0~),
-               libkf5attica-dev (>= 5.92.0~),
-               libkf5completion-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5iconthemes-dev (>= 5.92.0~),
-               libkf5itemviews-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5package-dev (>= 5.92.0~),
-               libkf5service-dev (>= 5.92.0~),
-               libkf5syndication-dev (>= 1:5.92.0~),
-               libkf5textwidgets-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
-               libkf5xmlgui-dev (>= 5.92.0~),
+               libkf5archive-dev (>= 5.98.0~),
+               libkf5attica-dev (>= 5.98.0~),
+               libkf5completion-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
+               libkf5itemviews-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5package-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
+               libkf5syndication-dev (>= 1:5.98.0~),
+               libkf5textwidgets-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -64,13 +64,13 @@
 Package: libkf5newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.92.0~),
-         libkf5attica-dev (>= 5.92.0~),
-         libkf5kio-dev (>= 5.92.0~),
+Depends: libkf5archive-dev (>= 5.98.0~),
+         libkf5attica-dev (>= 5.98.0~),
+         libkf5kio-dev (>= 5.98.0~),
          libkf5newstuff5 (= ${binary:Version}),
          libkf5newstuffcore5 (= ${binary:Version}),
          libkf5newstuffwidgets5 (= ${binary:Version}),
-         libkf5xmlgui-dev (>= 5.92.0~),
+         libkf5xmlgui-dev (>= 5.98.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5newstuff-doc (= ${source:Version})

## knewstuff 5.103.0

=== debian/changelog ===
knewstuff (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:31 +0100

knewstuff (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:10 +0100

knewstuff (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:35 +0100

knewstuff (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:05 +0100

knewstuff (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:12:46 +0200

knewstuff (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:40 +0200

knewstuff (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Drop patch upstream_b634b65d_fix-dialog-not-being-usable-in-
    konsole.patch, applied upstream.
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.96.0.
  * Refresh lintian overrides.
  * Add patch for not setting the executable bit on installed desktop files.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:09 +0200

knewstuff (5.94.0-2) unstable; urgency=medium

  * Backport upstream commit to fix broken get new themes dialog in Konsole.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Jun 2022 18:10:45 +0200

knewstuff (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

knewstuff (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Fix libkf5newstuffwidgets5.symbols to be managed by pkgkde-symbolshelper.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2022 08:23:00 +0200

knewstuff (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Drop knewstuff backend related patches, applied upstream.
  * Update symbols from build for 5.93.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

knewstuff (5.90.0-2) unstable; urgency=medium

  * Team upload.
  * Run again the test suite at build time, as it should work fine.
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are needed
    only during dh_auto_test.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Drop patch disable-flaky-test, as it should work fine now.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Feb 2022 10:32:42 +0100

knewstuff (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Source ships new library libKF5NewStuffWidgets.so.5.
  * Update symbols from build for 5.90.0.
  * Update copyright information.
  * Backport upstream patches to fix requests overload of clients to the KDE
    New Stuff server.
  * Add build dependencies on kirigami2-dev and libkf5syndication-dev, update
    symbols accordingly.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               gettext,
               kirigami2-dev (>= 2.12.0~),
               libkf5archive-dev (>= 5.103.0~),
               libkf5attica-dev (>= 5.103.0~),
               libkf5completion-dev (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               libkf5iconthemes-dev (>= 5.103.0~),
               libkf5itemviews-dev (>= 5.103.0~),
               libkf5kio-dev (>= 5.103.0~),
               libkf5package-dev (>= 5.103.0~),
               libkf5service-dev (>= 5.103.0~),
               libkf5syndication-dev (>= 5.90.0~),
               libkf5textwidgets-dev (>= 5.103.0~),
               libkf5widgetsaddons-dev (>= 5.103.0~),
               libkf5xmlgui-dev (>= 5.103.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/knewstuff
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knewstuff
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knewstuff.git
Rules-Requires-Root: no

Package: knewstuff-dialog
Architecture: any
Depends: libkf5newstuff-data (= ${source:Version}),
         qml-module-org-kde-newstuff (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains standalone tool for use by apps which don't
 want a hard dependency.

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.103.0~),
         libkf5attica-dev (>= 5.103.0~),
         libkf5kio-dev (>= 5.103.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5newstuffcore5 (= ${binary:Version}),
         libkf5newstuffwidgets5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.103.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5newstuff-doc (= ${source:Version}),
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5newstuff-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for downloading application assets from the network (documentation)
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuffcore5
Architecture: any
Multi-Arch: same
Recommends: qml-module-org-kde-newstuff (= ${binary:Version}),
Depends: kio (>= 5.54), ${misc:Depends}, ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.
Breaks: frameworkintegration (<< 5.54),

Package: libkf5newstuffwidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.

Package: qml-module-org-kde-newstuff
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.54),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## knewstuff 5.104.0

=== debian/changelog ===
knewstuff (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:17:26 +0000

knewstuff (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:18 +0000

knewstuff (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:57:53 +0000

knewstuff (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:21:28 +0000

knewstuff (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:15:50 +0000

knewstuff (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:00:07 +0000

=== debian/control ===
Source: knewstuff
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               gettext,
               libkf5archive-dev (>= 5.104.0~),
               libkf5attica-dev (>= 5.104.0~),
               libkf5completion-dev (>= 5.104.0~),
               libkf5config-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5iconthemes-dev (>= 5.104.0~),
               libkf5itemviews-dev (>= 5.104.0~),
               libkf5kio-dev (>= 5.104.0~),
               libkf5package-dev (>= 5.104.0~),
               libkf5service-dev (>= 5.104.0~),
               libkf5syndication-dev (>= 1:5.104.0~),
               libkf5textwidgets-dev (>= 5.104.0~),
               libkf5widgetsaddons-dev (>= 5.104.0~),
               libkf5xmlgui-dev (>= 5.104.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/knewstuff
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
Rules-Requires-Root: no

Package: knewstuff-dialog
Architecture: any
Depends: libkf5newstuff-data (= ${source:Version}),
         qml-module-org-kde-newstuff (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains standalone tool for use by apps which don't
 want a hard dependency.

Package: libkf5newstuff-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf5newstuff-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.104.0~),
         libkf5attica-dev (>= 5.104.0~),
         libkf5kio-dev (>= 5.104.0~),
         libkf5newstuff5 (= ${binary:Version}),
         libkf5newstuffcore5 (= ${binary:Version}),
         libkf5newstuffwidgets5 (= ${binary:Version}),
         libkf5xmlgui-dev (>= 5.104.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5newstuff-doc (= ${source:Version})
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5newstuff-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for downloading application assets from the network (documentation)
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5newstuff5
Architecture: any
Multi-Arch: same
Depends: libkf5newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.

Package: libkf5newstuffcore5
Architecture: any
Multi-Arch: same
Recommends: qml-module-org-kde-newstuff (= ${binary:Version})
Depends: kio (>= 5.54), ${misc:Depends}, ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.
Breaks: frameworkintegration (<< 5.54)

Package: libkf5newstuffwidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for downloading application assets from the network.
 Framework for idownloading and sharing additional
 application data.

Package: qml-module-org-kde-newstuff
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.54),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files
